Package fr.gouv.vitam.metadata.core.reconstruction.model

# Class PurgedPersistentIdentifier

java.lang.Object
fr.gouv.vitam.metadata.core.reconstruction.model.PurgedPersistentIdentifier

public class PurgedPersistentIdentifier extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PurgedPersistentIdentifier.Builder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PurgedPersistentIdentifier.Builder`
  `builder()`
  `static List<org.bson.Document>`
  `convertListToDocumentList(List<PurgedPersistentIdentifier> purgedIdentifierList)`
  `static PurgedPersistentIdentifier`
  `fromDocument(org.bson.Document document)`
  `String`
  `getArchivalAgencyIdentifier()`
  `String`
  `getId()`
  `String`
  `getLastPersistentDate()`
  `String`
  `getObjectGroupId()`
  `String`
  `getOperationId()`
  `String`
  `getOperationLastPersistentDate()`
  `String`
  `getOperationType()`
  `List<PersistentIdentifierModel>`
  `getPersistentIdentifier()`
  `Integer`
  `getTenant()`
  `String`
  `getType()`
  `Integer`
  `getVersion()`
  `static org.bson.Document`
  `toDocument(PurgedPersistentIdentifier purgedIdentifier)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### builder

    public static PurgedPersistentIdentifier.Builder builder()

  - ### toDocument

    public static org.bson.Document toDocument(PurgedPersistentIdentifier purgedIdentifier)

  - ### fromDocument

    public static PurgedPersistentIdentifier fromDocument(org.bson.Document document) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### convertListToDocumentList

    public static List<org.bson.Document> convertListToDocumentList(List<PurgedPersistentIdentifier> purgedIdentifierList)

  - ### getId

    public String getId()

  - ### getTenant

    public Integer getTenant()

  - ### getPersistentIdentifier

    public List<PersistentIdentifierModel> getPersistentIdentifier()

  - ### getVersion

    public Integer getVersion()

  - ### getType

    public String getType()

  - ### getObjectGroupId

    public String getObjectGroupId()

  - ### getArchivalAgencyIdentifier

    public String getArchivalAgencyIdentifier()

  - ### getOperationId

    public String getOperationId()

  - ### getOperationType

    public String getOperationType()

  - ### getOperationLastPersistentDate

    public String getOperationLastPersistentDate()

  - ### getLastPersistentDate

    public String getLastPersistentDate()